%define shortname 	lipstik
%define version 	2.2.2
%define rel		1
%define release 	%mkrel %{rel}

Name:           kde-style-%{shortname} 
Summary:        Lipstick Theme for KDE3.3+ 
Version:        %{version} 
Release:        %{release} 
Source0:        %{shortname}-%{version}.tar.bz2
Patch0:         lipstik-fix-compile.patch
URL:            http://www.kde-look.org/content/show.php?content=18223
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot 
License:        GPL 
Requires: 	kdelibs
BuildRequires:  kdelibs-devel

Conflicts: kde-style-krisp 

%description
Theme "Lipstick" for KDE 3.3+
This is a mod of the plastik style with inverted gradients for 
an ActiveHeart look.

%prep 
%setup -q -n %shortname-%version
%patch0 -p1
%build 

%{?__cputoolize: %{__cputoolize} }

export QTDIR=%_prefix/lib/qt3/%_lib

make -f admin/Makefile.common
%configure2_5x


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README AUTHORS
%{_libdir}/kde3/plugins/styles/lipstik.la
%{_libdir}/kde3/plugins/styles/lipstik.so
%{_libdir}/kde3/kstyle_lipstik_config.la
%{_libdir}/kde3/kstyle_lipstik_config.so
%{_datadir}/apps/kstyle/themes/lipstik.themerc
%{_datadir}/apps/kdisplay/color-schemes/lipstiknoble.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/lipstikstandard.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/lipstikwhite.kcsrc




%changelog
* Wed Aug 08 2007 Eric Fernandez <zeb@mandriva.org> 2.2.2-1mdv2008.0
+ Revision: 60286
- fix patch
- new version


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2-4mdv2007.0
+ Revision: 100529
- Fix QTDIR
- bump release
- Add Patch0: now it link correctly ( i hope) on build

* Mon Dec 18 2006 Eric Fernandez <zeb@mandriva.org> 2.2-2mdv2007.1
+ Revision: 98652
- fix for x86_64
- rebuild
- Import kde-style-lipstik

* Sun Jun 25 2006 Eric Fernandez <zeb@zebulon.org.uk> 2.2-1mdv2007.0
- 2.2
- Fix URL

* Wed Mar 22 2006 Sebastien Savarin <plouf@mandriva.org> 1.3-2mdk
-Fix conflicts with kde-style-krisp

* Wed Sep 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-1mdk
- 1.3
- Remove qt3-devel
- Change URL
- mkrel

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2 -3mdk  
- Rebuild

* Sat Aug 27 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2 -2mdk  
- Rebuild

* Fri Jul 01 2005 Couriousous <couriousous@mandriva.org> 1.2-1mdk
- 1.2

* Sun May 08 2005 Couriousous <couriousous@mandriva.org> 1.1-3mdk
- rebuild for gcc 4

* Sat Mar 19 2005 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 1.1-2mdk
- Fix for build on x86_64

* Tue Jan 25 2005 Laurent Culioli <laurent@mandrake.org> 1.1-1mdk
- new version

* Fri Dec 17 2004 Laurent Culioli <laurent@mandrake.org> 1.0-1mdk
- 1.0

* Mon Dec 06 2004 Laurent Culioli <laurent@mandrake.org> 0.91-1mdk
- new version

* Thu Dec 02 2004 Laurent Culioli <laurent@mandrake.org> 0.90-1mdk
- Initial release

